diff -ruN vdr-1.7.35/PLUGINS/src/epgtableid0/epgtableid0.c vdr-1.7.36/PLUGINS/src/epgtableid0/epgtableid0.c
--- vdr-1.7.35/PLUGINS/src/epgtableid0/epgtableid0.c	2012-12-27 11:32:52.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/epgtableid0/epgtableid0.c	2013-01-12 15:12:13.000000000 +0100
@@ -3,13 +3,13 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: epgtableid0.c 1.2 2012/12/27 10:32:52 kls Exp $
+ * $Id: epgtableid0.c 1.3 2013/01/12 14:12:13 kls Exp $
  */
 
 #include <vdr/epg.h>
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.0.2";
+static const char *VERSION        = "0.0.3";
 static const char *DESCRIPTION    = "EPG handler for events with table id 0x00";
 
 // --- cTable0Handler --------------------------------------------------------
diff -ruN vdr-1.7.35/PLUGINS/src/hello/HISTORY vdr-1.7.36/PLUGINS/src/hello/HISTORY
--- vdr-1.7.35/PLUGINS/src/hello/HISTORY	2012-12-27 11:33:26.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/hello/HISTORY	2013-01-12 15:08:43.000000000 +0100
@@ -78,3 +78,7 @@
 2012-12-27: Version 0.2.6
 
 - Adapted Makefile to changes introduced in recent VDR versions.
+
+2013-01-12: Version 0.2.7
+
+- Adapted Makefile to changes introduced in recent VDR versions.
diff -ruN vdr-1.7.35/PLUGINS/src/hello/Makefile vdr-1.7.36/PLUGINS/src/hello/Makefile
--- vdr-1.7.35/PLUGINS/src/hello/Makefile	2012-12-28 11:09:20.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/hello/Makefile	2013-01-12 14:45:01.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 2.16 2012/12/28 10:09:20 kls Exp $
+# $Id: Makefile 2.18 2013/01/12 13:45:01 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -17,8 +17,8 @@
 
 # Use package data if installed...otherwise assume we're under the VDR source directory:
 PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
-LIBDIR = $(DESTDIR)$(call PKGCFG,libdir)
-LOCDIR = $(DESTDIR)$(call PKGCFG,locdir)
+LIBDIR = $(call PKGCFG,libdir)
+LOCDIR = $(call PKGCFG,locdir)
 PLGCFG = $(call PKGCFG,plgcfg)
 #
 TMPDIR ?= /tmp
@@ -62,14 +62,14 @@
 ### Implicit rules:
 
 %.o: %.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<
 
 ### Dependencies:
 
 MAKEDEP = $(CXX) -MM -MG
 DEPFILE = .dependencies
 $(DEPFILE): Makefile
-	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
+	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
 
 -include $(DEPFILE)
 
@@ -78,7 +78,7 @@
 PODIR     = po
 I18Npo    = $(wildcard $(PODIR)/*.po)
 I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
-I18Nmsgs  = $(addprefix $(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
+I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
 I18Npot   = $(PODIR)/$(PLUGIN).pot
 
 %.mo: %.po
@@ -91,7 +91,7 @@
 	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
 	@touch $@
 
-$(I18Nmsgs): $(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
+$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
 	install -D -m644 $< $@
 
 .PHONY: i18n
@@ -105,7 +105,7 @@
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@
 
 install-lib: $(SOFILE)
-	install -D $^ $(LIBDIR)/$^.$(APIVERSION)
+	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)
 
 install: install-lib install-i18n
 
diff -ruN vdr-1.7.35/PLUGINS/src/hello/hello.c vdr-1.7.36/PLUGINS/src/hello/hello.c
--- vdr-1.7.35/PLUGINS/src/hello/hello.c	2012-12-27 11:35:04.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/hello/hello.c	2013-01-12 15:12:18.000000000 +0100
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: hello.c 2.4 2012/12/27 10:35:04 kls Exp $
+ * $Id: hello.c 2.5 2013/01/12 14:12:18 kls Exp $
  */
 
 #include <getopt.h>
@@ -12,7 +12,7 @@
 #include <vdr/interface.h>
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.2.6";
+static const char *VERSION        = "0.2.7";
 static const char *DESCRIPTION    = trNOOP("A friendly greeting");
 static const char *MAINMENUENTRY  = trNOOP("Hello");
 
diff -ruN vdr-1.7.35/PLUGINS/src/osddemo/HISTORY vdr-1.7.36/PLUGINS/src/osddemo/HISTORY
--- vdr-1.7.35/PLUGINS/src/osddemo/HISTORY	2012-12-27 11:36:15.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/osddemo/HISTORY	2013-01-12 15:09:08.000000000 +0100
@@ -42,3 +42,7 @@
 2012-12-27: Version 0.2.4
 
 - Adapted Makefile to changes introduced in recent VDR versions.
+
+2013-01-12: Version 0.2.5
+
+- Adapted Makefile to changes introduced in recent VDR versions.
diff -ruN vdr-1.7.35/PLUGINS/src/osddemo/Makefile vdr-1.7.36/PLUGINS/src/osddemo/Makefile
--- vdr-1.7.35/PLUGINS/src/osddemo/Makefile	2012-12-29 11:29:04.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/osddemo/Makefile	2013-01-12 14:45:01.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 2.14 2012/12/29 10:29:04 kls Exp $
+# $Id: Makefile 2.16 2013/01/12 13:45:01 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -17,7 +17,7 @@
 
 # Use package data if installed...otherwise assume we're under the VDR source directory:
 PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
-LIBDIR = $(DESTDIR)$(call PKGCFG,libdir)
+LIBDIR = $(call PKGCFG,libdir)
 PLGCFG = $(call PKGCFG,plgcfg)
 #
 TMPDIR ?= /tmp
@@ -61,14 +61,14 @@
 ### Implicit rules:
 
 %.o: %.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<
 
 ### Dependencies:
 
 MAKEDEP = $(CXX) -MM -MG
 DEPFILE = .dependencies
 $(DEPFILE): Makefile
-	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
+	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
 
 -include $(DEPFILE)
 
@@ -78,7 +78,7 @@
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@
 
 install-lib: $(SOFILE)
-	install -D $^ $(LIBDIR)/$^.$(APIVERSION)
+	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)
 
 install: install-lib
 
diff -ruN vdr-1.7.35/PLUGINS/src/osddemo/osddemo.c vdr-1.7.36/PLUGINS/src/osddemo/osddemo.c
--- vdr-1.7.35/PLUGINS/src/osddemo/osddemo.c	2012-12-27 11:36:21.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/osddemo/osddemo.c	2013-01-12 15:12:23.000000000 +0100
@@ -3,13 +3,13 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: osddemo.c 2.7 2012/12/27 10:36:21 kls Exp $
+ * $Id: osddemo.c 2.8 2013/01/12 14:12:23 kls Exp $
  */
 
 #include <vdr/osd.h>
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.2.4";
+static const char *VERSION        = "0.2.5";
 static const char *DESCRIPTION    = "Demo of arbitrary OSD setup";
 static const char *MAINMENUENTRY  = "Osd Demo";
 
diff -ruN vdr-1.7.35/PLUGINS/src/pictures/HISTORY vdr-1.7.36/PLUGINS/src/pictures/HISTORY
--- vdr-1.7.35/PLUGINS/src/pictures/HISTORY	2012-12-27 11:36:55.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/pictures/HISTORY	2013-01-12 15:09:22.000000000 +0100
@@ -79,3 +79,7 @@
 2012-12-27: Version 0.1.4
 
 - Adapted Makefile to changes introduced in recent VDR versions.
+
+2013-01-12: Version 0.1.5
+
+- Adapted Makefile to changes introduced in recent VDR versions.
diff -ruN vdr-1.7.35/PLUGINS/src/pictures/Makefile vdr-1.7.36/PLUGINS/src/pictures/Makefile
--- vdr-1.7.35/PLUGINS/src/pictures/Makefile	2012-12-28 11:09:29.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/pictures/Makefile	2013-01-12 14:45:01.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 2.16 2012/12/28 10:09:29 kls Exp $
+# $Id: Makefile 2.18 2013/01/12 13:45:01 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -17,8 +17,8 @@
 
 # Use package data if installed...otherwise assume we're under the VDR source directory:
 PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
-LIBDIR = $(DESTDIR)$(call PKGCFG,libdir)
-LOCDIR = $(DESTDIR)$(call PKGCFG,locdir)
+LIBDIR = $(call PKGCFG,libdir)
+LOCDIR = $(call PKGCFG,locdir)
 PLGCFG = $(call PKGCFG,plgcfg)
 #
 TMPDIR ?= /tmp
@@ -62,14 +62,14 @@
 ### Implicit rules:
 
 %.o: %.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<
 
 ### Dependencies:
 
 MAKEDEP = $(CXX) -MM -MG
 DEPFILE = .dependencies
 $(DEPFILE): Makefile
-	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
+	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
 
 -include $(DEPFILE)
 
@@ -78,7 +78,7 @@
 PODIR     = po
 I18Npo    = $(wildcard $(PODIR)/*.po)
 I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
-I18Nmsgs  = $(addprefix $(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
+I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
 I18Npot   = $(PODIR)/$(PLUGIN).pot
 
 %.mo: %.po
@@ -91,7 +91,7 @@
 	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
 	@touch $@
 
-$(I18Nmsgs): $(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
+$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
 	install -D -m644 $< $@
 
 .PHONY: i18n
@@ -105,7 +105,7 @@
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@
 
 install-lib: $(SOFILE)
-	install -D $^ $(LIBDIR)/$^.$(APIVERSION)
+	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)
 
 install: install-lib install-i18n
 
diff -ruN vdr-1.7.35/PLUGINS/src/pictures/pictures.c vdr-1.7.36/PLUGINS/src/pictures/pictures.c
--- vdr-1.7.35/PLUGINS/src/pictures/pictures.c	2012-12-27 11:37:07.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/pictures/pictures.c	2013-01-12 15:12:42.000000000 +0100
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: pictures.c 2.7 2012/12/27 10:37:07 kls Exp $
+ * $Id: pictures.c 2.8 2013/01/12 14:12:42 kls Exp $
  */
 
 #include <getopt.h>
@@ -11,7 +11,7 @@
 #include "menu.h"
 #include "player.h"
 
-static const char *VERSION       = "0.1.4";
+static const char *VERSION       = "0.1.5";
 static const char *DESCRIPTION   = trNOOP("A simple picture viewer");
 static const char *MAINMENUENTRY = trNOOP("Pictures");
 
diff -ruN vdr-1.7.35/PLUGINS/src/rcu/HISTORY vdr-1.7.36/PLUGINS/src/rcu/HISTORY
--- vdr-1.7.35/PLUGINS/src/rcu/HISTORY	2012-12-27 11:37:23.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/rcu/HISTORY	2013-01-12 15:09:40.000000000 +0100
@@ -12,3 +12,7 @@
 2012-12-27: Version 0.0.3
 
 - Adapted Makefile to changes introduced in recent VDR versions.
+
+2013-01-12: Version 0.0.4
+
+- Adapted Makefile to changes introduced in recent VDR versions.
diff -ruN vdr-1.7.35/PLUGINS/src/rcu/Makefile vdr-1.7.36/PLUGINS/src/rcu/Makefile
--- vdr-1.7.35/PLUGINS/src/rcu/Makefile	2012-12-29 11:29:09.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/rcu/Makefile	2013-01-12 14:45:01.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.11 2012/12/29 10:29:09 kls Exp $
+# $Id: Makefile 1.13 2013/01/12 13:45:01 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -17,7 +17,7 @@
 
 # Use package data if installed...otherwise assume we're under the VDR source directory:
 PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
-LIBDIR = $(DESTDIR)$(call PKGCFG,libdir)
+LIBDIR = $(call PKGCFG,libdir)
 PLGCFG = $(call PKGCFG,plgcfg)
 #
 TMPDIR ?= /tmp
@@ -61,14 +61,14 @@
 ### Implicit rules:
 
 %.o: %.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<
 
 ### Dependencies:
 
 MAKEDEP = $(CXX) -MM -MG
 DEPFILE = .dependencies
 $(DEPFILE): Makefile
-	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
+	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
 
 -include $(DEPFILE)
 
@@ -78,7 +78,7 @@
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@
 
 install-lib: $(SOFILE)
-	install -D $^ $(LIBDIR)/$^.$(APIVERSION)
+	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)
 
 install: install-lib
 
diff -ruN vdr-1.7.35/PLUGINS/src/rcu/rcu.c vdr-1.7.36/PLUGINS/src/rcu/rcu.c
--- vdr-1.7.35/PLUGINS/src/rcu/rcu.c	2012-12-27 11:37:31.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/rcu/rcu.c	2013-01-12 15:12:54.000000000 +0100
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: rcu.c 1.3 2012/12/27 10:37:31 kls Exp $
+ * $Id: rcu.c 1.4 2013/01/12 14:12:54 kls Exp $
  */
 
 #include <getopt.h>
@@ -16,7 +16,7 @@
 #include <vdr/thread.h>
 #include <vdr/tools.h>
 
-static const char *VERSION        = "0.0.3";
+static const char *VERSION        = "0.0.4";
 static const char *DESCRIPTION    = "Remote Control Unit";
 
 #define REPEATLIMIT      150 // ms
diff -ruN vdr-1.7.35/PLUGINS/src/servicedemo/HISTORY vdr-1.7.36/PLUGINS/src/servicedemo/HISTORY
--- vdr-1.7.35/PLUGINS/src/servicedemo/HISTORY	2012-12-27 11:37:48.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/servicedemo/HISTORY	2013-01-12 15:10:14.000000000 +0100
@@ -13,3 +13,7 @@
 2012-12-27: Version 0.1.3
 
 - Adapted Makefile to changes introduced in recent VDR versions.
+
+2013-01-12: Version 0.1.4
+
+- Adapted Makefile to changes introduced in recent VDR versions.
diff -ruN vdr-1.7.35/PLUGINS/src/servicedemo/Makefile vdr-1.7.36/PLUGINS/src/servicedemo/Makefile
--- vdr-1.7.35/PLUGINS/src/servicedemo/Makefile	2012-12-29 11:29:15.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/servicedemo/Makefile	2013-01-12 14:45:01.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 2.12 2012/12/29 10:29:15 kls Exp $
+# $Id: Makefile 2.14 2013/01/12 13:45:01 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -18,7 +18,7 @@
 
 # Use package data if installed...otherwise assume we're under the VDR source directory:
 PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
-LIBDIR = $(DESTDIR)$(call PKGCFG,libdir)
+LIBDIR = $(call PKGCFG,libdir)
 PLGCFG = $(call PKGCFG,plgcfg)
 #
 TMPDIR ?= /tmp
@@ -58,14 +58,14 @@
 ### Implicit rules:
 
 %.o: %.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<
 
 ### Dependencies:
 
 MAKEDEP = $(CXX) -MM -MG
 DEPFILE = .dependencies
 $(DEPFILE): Makefile
-	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
+	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
 
 -include $(DEPFILE)
 
@@ -78,8 +78,8 @@
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(PLUGIN2).o -o $@
 
 install-lib: libvdr-$(PLUGIN1).so libvdr-$(PLUGIN2).so
-	install -D libvdr-$(PLUGIN1).so $(LIBDIR)/libvdr-$(PLUGIN1).so.$(APIVERSION)
-	install -D libvdr-$(PLUGIN2).so $(LIBDIR)/libvdr-$(PLUGIN2).so.$(APIVERSION)
+	install -D libvdr-$(PLUGIN1).so $(DESTDIR)$(LIBDIR)/libvdr-$(PLUGIN1).so.$(APIVERSION)
+	install -D libvdr-$(PLUGIN2).so $(DESTDIR)$(LIBDIR)/libvdr-$(PLUGIN2).so.$(APIVERSION)
 
 install: install-lib
 
diff -ruN vdr-1.7.35/PLUGINS/src/servicedemo/svccli.c vdr-1.7.36/PLUGINS/src/servicedemo/svccli.c
--- vdr-1.7.35/PLUGINS/src/servicedemo/svccli.c	2012-12-27 11:37:57.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/servicedemo/svccli.c	2013-01-12 15:13:00.000000000 +0100
@@ -3,14 +3,14 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: svccli.c 2.1 2012/12/27 10:37:57 kls Exp $
+ * $Id: svccli.c 2.2 2013/01/12 14:13:00 kls Exp $
  */
 
 #include <stdlib.h>
 #include <vdr/interface.h>
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.1.3";
+static const char *VERSION        = "0.1.4";
 static const char *DESCRIPTION    = "Service demo client";
 static const char *MAINMENUENTRY  = "Service demo";
 
diff -ruN vdr-1.7.35/PLUGINS/src/servicedemo/svcsvr.c vdr-1.7.36/PLUGINS/src/servicedemo/svcsvr.c
--- vdr-1.7.35/PLUGINS/src/servicedemo/svcsvr.c	2012-12-27 11:38:19.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/servicedemo/svcsvr.c	2013-01-12 15:13:05.000000000 +0100
@@ -3,14 +3,14 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: svcsvr.c 2.1 2012/12/27 10:38:19 kls Exp $
+ * $Id: svcsvr.c 2.2 2013/01/12 14:13:05 kls Exp $
  */
 
 #include <stdlib.h>
 #include <vdr/interface.h>
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.1.3";
+static const char *VERSION        = "0.1.4";
 static const char *DESCRIPTION    = "Service demo server";
 
 class cPluginSvcSvr : public cPlugin {
diff -ruN vdr-1.7.35/PLUGINS/src/skincurses/HISTORY vdr-1.7.36/PLUGINS/src/skincurses/HISTORY
--- vdr-1.7.35/PLUGINS/src/skincurses/HISTORY	2012-12-27 11:38:36.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/skincurses/HISTORY	2013-01-12 15:10:28.000000000 +0100
@@ -105,3 +105,7 @@
 2012-12-27: Version 0.1.13
 
 - Adapted Makefile to changes introduced in recent VDR versions.
+
+2013-01-12: Version 0.1.14
+
+- Adapted Makefile to changes introduced in recent VDR versions.
diff -ruN vdr-1.7.35/PLUGINS/src/skincurses/Makefile vdr-1.7.36/PLUGINS/src/skincurses/Makefile
--- vdr-1.7.35/PLUGINS/src/skincurses/Makefile	2012-12-28 11:09:36.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/skincurses/Makefile	2013-01-12 14:45:01.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 2.16 2012/12/28 10:09:36 kls Exp $
+# $Id: Makefile 2.18 2013/01/12 13:45:01 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -17,8 +17,8 @@
 
 # Use package data if installed...otherwise assume we're under the VDR source directory:
 PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
-LIBDIR = $(DESTDIR)$(call PKGCFG,libdir)
-LOCDIR = $(DESTDIR)$(call PKGCFG,locdir)
+LIBDIR = $(call PKGCFG,libdir)
+LOCDIR = $(call PKGCFG,locdir)
 PLGCFG = $(call PKGCFG,plgcfg)
 #
 TMPDIR ?= /tmp
@@ -62,14 +62,14 @@
 ### Implicit rules:
 
 %.o: %.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<
 
 ### Dependencies:
 
 MAKEDEP = $(CXX) -MM -MG
 DEPFILE = .dependencies
 $(DEPFILE): Makefile
-	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
+	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
 
 -include $(DEPFILE)
 
@@ -78,7 +78,7 @@
 PODIR     = po
 I18Npo    = $(wildcard $(PODIR)/*.po)
 I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
-I18Nmsgs  = $(addprefix $(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
+I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
 I18Npot   = $(PODIR)/$(PLUGIN).pot
 
 %.mo: %.po
@@ -91,7 +91,7 @@
 	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
 	@touch $@
 
-$(I18Nmsgs): $(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
+$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
 	install -D -m644 $< $@
 
 .PHONY: i18n
@@ -105,7 +105,7 @@
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -lncursesw -o $@
 
 install-lib: $(SOFILE)
-	install -D $^ $(LIBDIR)/$^.$(APIVERSION)
+	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)
 
 install: install-lib install-i18n
 
diff -ruN vdr-1.7.35/PLUGINS/src/skincurses/skincurses.c vdr-1.7.36/PLUGINS/src/skincurses/skincurses.c
--- vdr-1.7.35/PLUGINS/src/skincurses/skincurses.c	2012-12-27 11:38:43.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/skincurses/skincurses.c	2013-01-12 15:13:12.000000000 +0100
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: skincurses.c 2.10 2012/12/27 10:38:43 kls Exp $
+ * $Id: skincurses.c 2.11 2013/01/12 14:13:12 kls Exp $
  */
 
 #include <ncurses.h>
@@ -12,7 +12,7 @@
 #include <vdr/skins.h>
 #include <vdr/videodir.h>
 
-static const char *VERSION        = "0.1.13";
+static const char *VERSION        = "0.1.14";
 static const char *DESCRIPTION    = trNOOP("A text only skin");
 static const char *MAINMENUENTRY  = NULL;
 
diff -ruN vdr-1.7.35/PLUGINS/src/status/HISTORY vdr-1.7.36/PLUGINS/src/status/HISTORY
--- vdr-1.7.35/PLUGINS/src/status/HISTORY	2012-12-27 11:39:04.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/status/HISTORY	2013-01-12 15:10:44.000000000 +0100
@@ -52,3 +52,7 @@
 2012-12-27: Version 0.3.2
 
 - Adapted Makefile to changes introduced in recent VDR versions.
+
+2013-01-12: Version 0.3.3
+
+- Adapted Makefile to changes introduced in recent VDR versions.
diff -ruN vdr-1.7.35/PLUGINS/src/status/Makefile vdr-1.7.36/PLUGINS/src/status/Makefile
--- vdr-1.7.35/PLUGINS/src/status/Makefile	2012-12-29 11:29:20.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/status/Makefile	2013-01-12 14:45:01.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 2.13 2012/12/29 10:29:20 kls Exp $
+# $Id: Makefile 2.15 2013/01/12 13:45:01 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -17,7 +17,7 @@
 
 # Use package data if installed...otherwise assume we're under the VDR source directory:
 PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
-LIBDIR = $(DESTDIR)$(call PKGCFG,libdir)
+LIBDIR = $(call PKGCFG,libdir)
 PLGCFG = $(call PKGCFG,plgcfg)
 #
 TMPDIR ?= /tmp
@@ -61,14 +61,14 @@
 ### Implicit rules:
 
 %.o: %.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<
 
 ### Dependencies:
 
 MAKEDEP = $(CXX) -MM -MG
 DEPFILE = .dependencies
 $(DEPFILE): Makefile
-	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
+	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
 
 -include $(DEPFILE)
 
@@ -78,7 +78,7 @@
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@
 
 install-lib: $(SOFILE)
-	install -D $^ $(LIBDIR)/$^.$(APIVERSION)
+	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)
 
 install: install-lib
 
diff -ruN vdr-1.7.35/PLUGINS/src/status/status.c vdr-1.7.36/PLUGINS/src/status/status.c
--- vdr-1.7.35/PLUGINS/src/status/status.c	2012-12-27 11:39:26.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/status/status.c	2013-01-12 15:13:17.000000000 +0100
@@ -3,13 +3,13 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: status.c 2.2 2012/12/27 10:39:26 kls Exp $
+ * $Id: status.c 2.3 2013/01/12 14:13:17 kls Exp $
  */
 
 #include <vdr/plugin.h>
 #include <vdr/status.h>
 
-static const char *VERSION        = "0.3.2";
+static const char *VERSION        = "0.3.3";
 static const char *DESCRIPTION    = "Status monitor test";
 static const char *MAINMENUENTRY  = NULL;
 
diff -ruN vdr-1.7.35/PLUGINS/src/svdrpdemo/HISTORY vdr-1.7.36/PLUGINS/src/svdrpdemo/HISTORY
--- vdr-1.7.35/PLUGINS/src/svdrpdemo/HISTORY	2012-12-27 11:39:40.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/svdrpdemo/HISTORY	2013-01-12 15:10:59.000000000 +0100
@@ -17,3 +17,7 @@
 2012-12-27: Version 0.0.4
 
 - Adapted Makefile to changes introduced in recent VDR versions.
+
+2013-01-12: Version 0.0.5
+
+- Adapted Makefile to changes introduced in recent VDR versions.
diff -ruN vdr-1.7.35/PLUGINS/src/svdrpdemo/Makefile vdr-1.7.36/PLUGINS/src/svdrpdemo/Makefile
--- vdr-1.7.35/PLUGINS/src/svdrpdemo/Makefile	2012-12-29 11:29:24.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/svdrpdemo/Makefile	2013-01-12 14:45:01.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 2.13 2012/12/29 10:29:24 kls Exp $
+# $Id: Makefile 2.15 2013/01/12 13:45:01 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -17,7 +17,7 @@
 
 # Use package data if installed...otherwise assume we're under the VDR source directory:
 PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
-LIBDIR = $(DESTDIR)$(call PKGCFG,libdir)
+LIBDIR = $(call PKGCFG,libdir)
 PLGCFG = $(call PKGCFG,plgcfg)
 #
 TMPDIR ?= /tmp
@@ -61,14 +61,14 @@
 ### Implicit rules:
 
 %.o: %.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<
 
 ### Dependencies:
 
 MAKEDEP = $(CXX) -MM -MG
 DEPFILE = .dependencies
 $(DEPFILE): Makefile
-	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
+	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
 
 -include $(DEPFILE)
 
@@ -78,7 +78,7 @@
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@
 
 install-lib: $(SOFILE)
-	install -D $^ $(LIBDIR)/$^.$(APIVERSION)
+	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)
 
 install: install-lib
 
diff -ruN vdr-1.7.35/PLUGINS/src/svdrpdemo/svdrpdemo.c vdr-1.7.36/PLUGINS/src/svdrpdemo/svdrpdemo.c
--- vdr-1.7.35/PLUGINS/src/svdrpdemo/svdrpdemo.c	2012-12-27 11:39:48.000000000 +0100
+++ vdr-1.7.36/PLUGINS/src/svdrpdemo/svdrpdemo.c	2013-01-12 15:13:28.000000000 +0100
@@ -3,12 +3,12 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: svdrpdemo.c 2.1 2012/12/27 10:39:48 kls Exp $
+ * $Id: svdrpdemo.c 2.2 2013/01/12 14:13:28 kls Exp $
  */
 
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.0.4";
+static const char *VERSION        = "0.0.5";
 static const char *DESCRIPTION    = "How to add SVDRP support to a plugin";
 
 class cPluginSvdrpdemo : public cPlugin {
diff -ruN vdr-1.7.35/config.c vdr-1.7.36/config.c
--- vdr-1.7.35/config.c	2012-12-06 10:00:23.000000000 +0100
+++ vdr-1.7.36/config.c	2013-01-17 15:50:51.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.c 2.31 2012/12/06 09:00:23 kls Exp $
+ * $Id: config.c 2.32 2013/01/17 14:50:51 kls Exp $
  */
 
 #include "config.h"
@@ -13,6 +13,7 @@
 #include "device.h"
 #include "i18n.h"
 #include "interface.h"
+#include "menu.h"
 #include "plugin.h"
 #include "recording.h"
 
@@ -672,6 +673,7 @@
   else if (!strcasecmp(Name, "ChannelsWrap"))        ChannelsWrap       = atoi(Value);
   else if (!strcasecmp(Name, "ShowChannelNamesWithSource")) ShowChannelNamesWithSource = atoi(Value);
   else if (!strcasecmp(Name, "EmergencyExit"))       EmergencyExit      = atoi(Value);
+  else if (!strcasecmp(Name, "LastReplayed"))        cReplayControl::SetRecording(Value);
   else
      return false;
   return true;
@@ -777,6 +779,7 @@
   Store("ChannelsWrap",       ChannelsWrap);
   Store("ShowChannelNamesWithSource", ShowChannelNamesWithSource);
   Store("EmergencyExit",      EmergencyExit);
+  Store("LastReplayed",       cReplayControl::LastReplayed());
 
   Sort();
 
diff -ruN vdr-1.7.35/config.h vdr-1.7.36/config.h
--- vdr-1.7.35/config.h	2012-12-27 10:56:56.000000000 +0100
+++ vdr-1.7.36/config.h	2012-12-30 14:08:41.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.h 2.59 2012/12/27 09:56:56 kls Exp $
+ * $Id: config.h 2.60 2012/12/30 13:08:41 kls Exp $
  */
 
 #ifndef __CONFIG_H
@@ -22,13 +22,13 @@
 
 // VDR's own version number:
 
-#define VDRVERSION  "1.7.35"
-#define VDRVERSNUM   10735  // Version * 10000 + Major * 100 + Minor
+#define VDRVERSION  "1.7.36"
+#define VDRVERSNUM   10736  // Version * 10000 + Major * 100 + Minor
 
 // The plugin API's version number:
 
-#define APIVERSION  "1.7.35"
-#define APIVERSNUM   10735  // Version * 10000 + Major * 100 + Minor
+#define APIVERSION  "1.7.36"
+#define APIVERSNUM   10736  // Version * 10000 + Major * 100 + Minor
 
 // When loading plugins, VDR searches them by their APIVERSION, which
 // may be smaller than VDRVERSION in case there have been no changes to
